import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const cityGetHatchings = createAsyncThunk(
  "CITY_GET_HATCHINGS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("poultry_hatching/", {
      params: {
        role: getRoleFromUrl(),
        date1: d.selectedDate1,
        date2: d.selectedDate2,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
